package com.taauav.admin.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 职位表
 * </p>
 *
 * @author dyg
 * @since 2019-11-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysPosition implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 名称
     */
    @NotEmpty(message = "名称不能为空")
    @Length(min = 2, max = 10, message = "名称长度为2-10个字")
    private String name;

    /**
     * 职位级别
     */
    private Integer level;

    /**
     * 备注
     */
    @Length(max = 200, message = "备注不能超过200字")
    private String remark;

    /**
     * 状态：1正常 2禁用
     */
    @NotNull(message = "状态不能为空")
    private Byte status;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 创建时间
     */
    private Integer createTime;

    /**
     * 更新时间
     */
    private Integer updateTime;

    /**
     * 有效标记
     */
    private Byte mark;


}
