package com.taauav.admin.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * <p>
 * 巡检任务河道表
 * </p>
 *
 * @author dyg
 * @since 2019-11-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TauvInspectDriver implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 巡检任务ID
     */
    private Integer inspectId;

    /**
     * 行号(以10的倍数递增)
     */
    private Integer num;

    /**
     * 巡检任务单号对应的河流子编号
     */
    private String inspectNo;

    /**
     * 河道ID
     */
    @NotEmpty(message = "河道编号不能为空")
    private Integer driverId;

    /**
     * 河流名称
     */
    @NotEmpty(message = "河流名称不为空")
    private String driverName;

    /**
     * 河流区域ID
     */
    @NotEmpty(message = "河流区域不能为空")
    private Integer driverArea;

    /**
     * 河流长度(单位：KM)
     */
    @NotEmpty(message = "河流长度不能为空")
    private BigDecimal driverLength;

    /**
     * 河流起点
     */
    @NotEmpty(message = "河流起点不能为空")
    private String driverStart;

    /**
     * 河流终点
     */
    @NotEmpty(message = "河流终点不能为空")
    private String driverEnd;

    /**
     * 河流位置
     */
    private String driverImage;

    /**
     * 河流备注
     */
    private String driverNote;

    /**
     * 是否省/国考河道：1是 2否
     */
    private Byte driverExam;

    /**
     * 飞行小组
     */
    private Integer flightGroup;

    /**
     * 执行开始时间
     */
    private Integer executionStartTime;

    /**
     * 执行结束时间
     */
    private Integer executionEndTime;

    /**
     * 天气
     */
    private String weather;

    /**
     * 风向
     */
    private String wind;

    /**
     * 温度
     */
    private String temperature;

    /**
     * 飞行速度
     */
    private BigDecimal flightSpeed;

    /**
     * 飞行时长
     */
    private BigDecimal flightTime;

    /**
     * 飞行高度
     */
    private BigDecimal flightHeight;

    /**
     * 备注
     */
    private String remark;

    /**
     * 状态：1待分配 2待执行 3执行中 4已完成 5复核中 6复核完成
     */
    private Byte status;
    /**
     * 复核人
     */
    private Integer reviewUser;
    /**
     * 复核时间
     */
    private Integer reviewTime;
    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Integer createTime;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    private Integer updateTime;

    /**
     * 有效标记
     */
    private Byte mark;

}
