package com.taauav.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 巡检附件表
 * </p>
 *
 * @author dyg
 * @since 2019-11-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TauvInspectFile implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 巡检任务ID
     */
    private Integer inspectId;

    /**
     * 巡检河流ID
     */
    private Integer inspectDriverId;

    /**
     * 日期
     */
    @TableField("`date`")
    private String date;

    /**
     * 文件归类
     */
    @TableField("`file_document`")
    private String fileDocument;

    /**
     * 附件类型：1图片 2视频
     */
    private Byte fileType;

    /**
     * 文件类型：文件夹/文件
     */
    @TableField("`type`")
    private String type;

    /**
     * 文件名称
     */
    @TableField("`name`")
    private String name;

    /**
     * 文件后缀
     */
    private String extension;

    /**
     * 附件地址
     */
    private String src;

    /**
     * 缩略图
     */
    private String thumbImg;

    /**
     * 原图
     */
    private String originalImg;

    /**
     * 文件大小
     */
    private Integer size;

    /**
     * 原始文件名
     */
    private String fileName;

    /**
     * md5加密
     */
    private String md5;

    /**
     * 经度(地里坐标)
     */
    private String latitude;

    /**
     * 纬度(地里坐标)
     */
    private String longitude;

    /**
     * 位置信息
     */
    private String location;

    private String baiduLatitude;
    private String baiduLongitude;
    private String baiduAddress;

    private String gaodeLatitude;
    private String gaodeLongitude;
    private String gaodeAddress;

    /**
     * 问题类型ID
     */
    private Integer questionId;

    /**
     * 详细描述
     */
    private String description;

    /**
     * 是否已复核 1是 2否
     */
    private Byte isReview;
    /**
     * 是否有效：1是 2否
     */
    private Byte isEffective;

    /**
     * 是否已标记：1是 2否
     */
    @TableField("`status`")
    private Byte status;

    /**
     * 坐标检查：1处理成功 2待处理 3处理失败
     */
    private Byte checkStatus;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Integer createTime;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    private Integer updateTime;

    /**
     * 有效标记
     */
    private Byte mark;

    public Map<String,String> getFileDocumentList() {
        Map<String,String> map = new HashMap<>(4);
        map.put("surfaceWater","水面");
        map.put("shoreLine","岸线");
        map.put("outfall","排口");
        map.put("waterQuality","水质");
        return map;
    }
}
