package com.taauav.admin.service;

import com.taauav.common.bean.Response;
import com.taauav.admin.entity.TauvDriver;
import com.baomidou.mybatisplus.extension.service.IService;
import com.taauav.common.service.IBaseService;

import java.util.Map;

/**
 * <p>
 * 河道管理表 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-12
 */
public interface ITauvDriverService extends IBaseService<TauvDriver> {
    /**
     * 河道数据列表
     * @param map
     * @return
     */
    Response getPageList(Map<String,String> map);

    /**
     * 编辑河道信息
     * @param driver
     * @return
     */
    Response edit(TauvDriver driver);

    /**
     * 添加河道信息
     * @param driver
     * @return
     */
    Response add(TauvDriver driver);

    /**
     * 根据河道编号获取数据
     * @param id
     * @return
     */
    TauvDriver getInfoById(Integer id);

    /**
     * 根据河道编号获取详细数据
     * @param info
     * @return
     */
    Map<String,Object> getInfoDetail(TauvDriver info);

    /**
     * 根据名称获取数据
     * @param name
     * @return
     */
    TauvDriver getInfoByName(String name);

    /**
     * 分类和类型基础数据
     * @return
     */
    Map<String,Object> getBaseData();

    /**
     * 获取所有河道数据
     * @return
     */
    Response getDriverList();
}
