package com.taauav.admin.service;

import com.taauav.common.bean.Response;
import com.taauav.admin.entity.TauvEquipment;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 * 设备管理表 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-13
 */
public interface ITauvEquipmentService extends IService<TauvEquipment> {
    /**
     * 获取设备分页数据
     * @param map
     * @return
     */
    Response getPageList(Map<String,String> map);

    /**
     * 修改设备
     * @param equipment
     * @return
     */
    Response edit(TauvEquipment equipment);

    /**
     * 添加设备
     * @param equipment
     * @return
     */
    Response add(TauvEquipment equipment);

    /**
     * 修改设备状态
     * @param map
     * @return
     */
    Response setRules(Map<String,String> map);

    /**
     * 根据编号获取数据
     * @param id
     * @return
     */
    TauvEquipment getInfoById(Integer id);

    /**
     * 分类和类型基础数据
     * @return
     */
    Map<String,Object> getBaseData();
}
