package com.taauav.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.taauav.admin.entity.TauvReportCheck;
import com.taauav.admin.mapper.TauvReportCheckMapper;
import com.taauav.admin.service.ITauvReportCheckService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.taauav.common.util.FunctionUtils;
import com.taauav.common.util.ShiroUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author dyg
 * @since 2019-11-29
 */
@Service
public class TauvReportCheckServiceImpl extends ServiceImpl<TauvReportCheckMapper, TauvReportCheck> implements ITauvReportCheckService {
    @Autowired
    private TauvReportCheckMapper reportCheckMapper;
    /**
     * 根据报告编号获取数据
     * @param reportId
     * @return
     */
    @Override
    public List<TauvReportCheck> getListByReportId(Integer reportId) {
        QueryWrapper<TauvReportCheck> wrapper = new QueryWrapper<>();
        wrapper.eq("report_id", reportId);
        wrapper.eq("mark",1);
        wrapper.orderByDesc("id");
        return reportCheckMapper.selectList(wrapper);
    }

    @Override
    public void addData(TauvReportCheck reportCheck) {
        reportCheck.setCheckUser(ShiroUtils.getAdminId());
        reportCheck.setCreateTime(FunctionUtils.getCurrentTime());
        saveOrUpdate(reportCheck);
    }
}
